package com.zcloud.service.corp;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：十小停用管理
 * 作者：yangming
 * 时间：2023-2-13
 * 官网：www.zcloudchina.com
 */
public interface CorpStopService {



	/**十小停用申请保存
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**十小停用申请列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**详情
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**十小启用
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**是否处理
	 * @param pd
	 * @throws Exception
	 */
	public PageData isHandle(PageData pd)throws Exception;
}

